Get a canon version
Módulo Canon
GET/canon/versions/{generation}canonVersions.get
The current canon version and generation. Canon responses are cached by generation. Returns one canon version with its `ETag`. A canon version the caller may not see returns 404.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| generation | integer | Sí | Canon generation, incremented by every canon data migration.Restricciones: range 1 to any |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Respuesta 200: CanonVersion
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| version_code | string | Sí | Canon version.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| generation | integer | Sí | Canon generation, incremented by every canon data migration.Restricciones: range 1 to any |
| bible_generated_at | string | Sí | Generation time stated in the Bible _generated tab: a wall-clock time without a zone.Restricciones: length 1 to 300 |
{
"version_code": "4.0",
"generation": 1,
"bible_generated_at": "2026-10-01 09:00:00"
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/versions/1" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.canonVersions.get("1");response = xos.canon_versions.get("1")xos canon-versions get 1